/*
 * ActionMenuItem.h
 *
 *  Created on: Dec 11, 2009
 *      Author: crueger
 */

#ifndef ACTIONMENUITEM_H_
#define ACTIONMENUITEM_H_

#include <string>

#include "Menu/MenuItem.hpp"

class Action;

/**
 * Produce MenuItems that take an appropriate action when called.
 */
class ActionMenuItem : public MenuItem
{
public:
  ActionMenuItem(char,const char*,Menu*,Action*);
  virtual ~ActionMenuItem();

  virtual void doTrigger();

  virtual bool isActive();

private:
  Action* action; //!< this action will be called when the trigger matches
};

#endif /* ACTIONMENUITEM_H_ */
